build:
  script:
    - virtualenv venv
    - source venv/bin/activate
    - pip install -r requirements.txt
    - patch venv/lib/python3.5/site-packages/pelican/readers.py -i patch/pelican_readers.patch
    - make publish
    - rm -rf /var/www/webapp_doohoyi/nosignal.hopto.org_site/ci/losttr
    - cp -r public /var/www/webapp_doohoyi/nosignal.hopto.org_site/ci/losttr
    - deactivate
  artifacts:
    paths:
    - public
